Package org.lwjgl.opengl

# Class GL44

java.lang.Object
org.lwjgl.opengl.GL44

public final class GL44 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BUFFER_IMMUTABLE_STORAGE`
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static final int`
`GL_BUFFER_STORAGE_FLAGS`
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\
`static final int`
`GL_CLEAR_TEXTURE`
Accepted by the <pname> parameter for GetInternalformativ and GetInternalformati64v:
`static final int`
`GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_CLIENT_STORAGE_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_DYNAMIC_STORAGE_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_LOCATION_COMPONENT`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_MAP_COHERENT_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_MAP_PERSISTENT_BIT`
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:
`static final int`
`GL_MAX_VERTEX_ATTRIB_STRIDE`
Implementation-dependent state which constrains the maximum value of stride parameters to vertex array pointer-setting commands.
`static final int`
`GL_MIRROR_CLAMP_TO_EDGE`
Accepted by the <param> parameter of TexParameter{if}, SamplerParameter{if} and SamplerParameter{if}v, and by the <params> parameter of TexParameter{if}v, TexParameterI{i ui}v and SamplerParameterI{i ui}v when their <pname> parameter is TEXTURE_WRAP_S, TEXTURE_WRAP_T, or TEXTURE_WRAP_R:
`static final int`
`GL_QUERY_BUFFER`
Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv, GetBufferParameteri64v, GetBufferPointerv, ClearBufferSubData, and the <readtarget> and <writetarget> parameters of CopyBufferSubData:
`static final int`
`GL_QUERY_BUFFER_BARRIER_BIT`
Accepted in the <barriers> bitfield in MemoryBarrier:
`static final int`
`GL_QUERY_BUFFER_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_QUERY_RESULT_NO_WAIT`
Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_INDEX`
Accepted in the <props> array of GetProgramResourceiv:
`static final int`
`GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE`
Accepted in the <props> array of GetProgramResourceiv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindBuffersBase(int target, int first, int count, IntBuffer buffers)`
`static void`
`glBindBuffersRange(int target, int first, int count, IntBuffer buffers, PointerBuffer offsets, PointerBuffer sizes)`
`static void`
`glBindImageTextures(int first, int count, IntBuffer textures)`
`static void`
`glBindSamplers(int first, int count, IntBuffer samplers)`
`static void`
`glBindTextures(int first, int count, IntBuffer textures)`
`static void`
`glBindVertexBuffers(int first, int count, IntBuffer buffers, PointerBuffer offsets, IntBuffer strides)`
`static void`
`glBufferStorage(int target, long size, int flags)`
Overloads glBufferStorage.
`static void`
`glBufferStorage(int target, ByteBuffer data, int flags)`
`static void`
`glBufferStorage(int target, DoubleBuffer data, int flags)`
`static void`
`glBufferStorage(int target, FloatBuffer data, int flags)`
`static void`
`glBufferStorage(int target, IntBuffer data, int flags)`
`static void`
`glBufferStorage(int target, LongBuffer data, int flags)`
`static void`
`glBufferStorage(int target, ShortBuffer data, int flags)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, ByteBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, DoubleBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, FloatBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, IntBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, LongBuffer data)`
`static void`
`glClearTexImage(int texture, int level, int format, int type, ShortBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, LongBuffer data)`
`static void`
`glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_VERTEX_ATTRIB_STRIDE

public static final int GL_MAX_VERTEX_ATTRIB_STRIDE
Implementation-dependent state which constrains the maximum value of stride parameters to vertex array pointer-setting commands.

See Also:
  - Constant Field Values

### GL_MAP_PERSISTENT_BIT

public static final int GL_MAP_PERSISTENT_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_MAP_COHERENT_BIT

public static final int GL_MAP_COHERENT_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_DYNAMIC_STORAGE_BIT

public static final int GL_DYNAMIC_STORAGE_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_CLIENT_STORAGE_BIT

public static final int GL_CLIENT_STORAGE_BIT
Accepted in the <flags> parameter of BufferStorage and NamedBufferStorageEXT:

See Also:
  - Constant Field Values

### GL_BUFFER_IMMUTABLE_STORAGE

public static final int GL_BUFFER_IMMUTABLE_STORAGE
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

See Also:
  - Constant Field Values

### GL_BUFFER_STORAGE_FLAGS

public static final int GL_BUFFER_STORAGE_FLAGS
Accepted by the <pname> parameter of GetBufferParameter{i|i64}v:\

See Also:
  - Constant Field Values

### GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT

public static final int GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_CLEAR_TEXTURE

public static final int GL_CLEAR_TEXTURE
Accepted by the <pname> parameter for GetInternalformativ and GetInternalformati64v:

See Also:
  - Constant Field Values

### GL_LOCATION_COMPONENT

public static final int GL_LOCATION_COMPONENT
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_INDEX

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_INDEX
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE

public static final int GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE
Accepted in the <props> array of GetProgramResourceiv:

See Also:
  - Constant Field Values

### GL_QUERY_RESULT_NO_WAIT

public static final int GL_QUERY_RESULT_NO_WAIT
Accepted by the <pname> parameter of GetQueryObjectiv, GetQueryObjectuiv, GetQueryObjecti64v and GetQueryObjectui64v:

See Also:
  - Constant Field Values

### GL_QUERY_BUFFER

public static final int GL_QUERY_BUFFER
Accepted by the <target> parameter of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, MapBufferRange, GetBufferSubData, GetBufferParameteriv, GetBufferParameteri64v, GetBufferPointerv, ClearBufferSubData, and the <readtarget> and <writetarget> parameters of CopyBufferSubData:

See Also:
  - Constant Field Values

### GL_QUERY_BUFFER_BINDING

public static final int GL_QUERY_BUFFER_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_QUERY_BUFFER_BARRIER_BIT

public static final int GL_QUERY_BUFFER_BARRIER_BIT
Accepted in the <barriers> bitfield in MemoryBarrier:

See Also:
  - Constant Field Values

### GL_MIRROR_CLAMP_TO_EDGE

public static final int GL_MIRROR_CLAMP_TO_EDGE
Accepted by the <param> parameter of TexParameter{if}, SamplerParameter{if} and SamplerParameter{if}v, and by the <params> parameter of TexParameter{if}v, TexParameterI{i ui}v and SamplerParameterI{i ui}v when their <pname> parameter is TEXTURE_WRAP_S, TEXTURE_WRAP_T, or TEXTURE_WRAP_R:

See Also:
  - Constant Field Values

## Method Details

### glBufferStorage

public static void glBufferStorage(int target, ByteBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, DoubleBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, FloatBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, IntBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, ShortBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, LongBuffer data, int flags)

### glBufferStorage

public static void glBufferStorage(int target, long size, int flags)
Overloads glBufferStorage.

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, ByteBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, DoubleBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, FloatBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, IntBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, ShortBuffer data)

### glClearTexImage

public static void glClearTexImage(int texture, int level, int format, int type, LongBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, DoubleBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer data)

### glClearTexSubImage

public static void glClearTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, LongBuffer data)

### glBindBuffersBase

public static void glBindBuffersBase(int target, int first, int count, IntBuffer buffers)

### glBindBuffersRange

public static void glBindBuffersRange(int target, int first, int count, IntBuffer buffers, PointerBuffer offsets, PointerBuffer sizes)

### glBindTextures

public static void glBindTextures(int first, int count, IntBuffer textures)

### glBindSamplers

public static void glBindSamplers(int first, int count, IntBuffer samplers)

### glBindImageTextures

public static void glBindImageTextures(int first, int count, IntBuffer textures)

### glBindVertexBuffers

public static void glBindVertexBuffers(int first, int count, IntBuffer buffers, PointerBuffer offsets, IntBuffer strides)